import { jsx as _jsx } from "react/jsx-runtime";
import 'server-only';
import { DevCycleClientsideProvider } from '../client/DevCycleClientsideProvider';
import { asyncStorageError, getSDKKey, requestContext, setInitializedPromise, } from './requestContext';
import { initialize, setupContext } from './initialize';
import { getUserIdentity } from './identify';
export const DevCycleServersideProvider = async ({ children, sdkKey, user, options, }) => {
    requestContext.enterWith({});
    setupContext(sdkKey, user, options);
    const serverDataPromise = initialize();
    setInitializedPromise(serverDataPromise);
    const identifiedUser = getUserIdentity();
    if (!identifiedUser) {
        throw asyncStorageError();
    }
    // this renders a client component that provides an instance of DevCycle client to client components via context
    // server data is passed to perform bootstrapping of the server's config on clientside
    return (_jsx(DevCycleClientsideProvider, { serverDataPromise: serverDataPromise, serverData: 
        // options?.enableStreaming ? undefined : await serverDataPromise
        await serverDataPromise, user: identifiedUser, sdkKey: getSDKKey(), 
        // enableStreaming={options?.enableStreaming ?? false}
        enableStreaming: false, children: children }));
};
//# sourceMappingURL=DevCycleServersideProvider.js.map