/// <reference types="node" />
import { DevCycleClient, DevCycleUser } from '@devcycle/js-client-sdk';
import { DevCycleNextOptions, initialize } from './initialize';
import { AsyncLocalStorage } from 'node:async_hooks';
type Storage = {
    identity?: DevCycleUser;
    client?: DevCycleClient;
    options?: DevCycleNextOptions;
    initializedPromise?: ReturnType<typeof initialize>;
    sdkKey?: string;
};
export declare const requestContext: AsyncLocalStorage<Storage>;
export declare const getIdentity: () => DevCycleUser | undefined, setIdentity: (value: DevCycleUser | undefined) => void;
export declare const getClient: () => DevCycleClient<import("@devcycle/js-client-sdk").VariableDefinitions> | undefined, setClient: (value: DevCycleClient<import("@devcycle/js-client-sdk").VariableDefinitions> | undefined) => void;
export declare const getSDKKey: () => string;
export declare const setSDKKey: (key: string) => void;
export declare const getInitializedPromise: () => Promise<{
    config: import("../../../../dist/lib/shared/types/src").BucketedUserConfig & {
        lastModified?: string | undefined;
    };
    sdkKey: string;
    options: DevCycleNextOptions | undefined;
    user: DevCycleUser;
}> | undefined;
export declare const setInitializedPromise: (promise: ReturnType<typeof initialize>) => void;
export declare const getOptions: () => DevCycleNextOptions | undefined, setOptions: (value: DevCycleNextOptions | undefined) => void;
export declare const asyncStorageError: () => Error;
export {};
